<%#
# Show

This view is the template for the show page.
It renders the attributes of a resource,
as well as a link to its edit page.

## Local variables:

- `page`:
  An instance of [Administrate::Page::Show][1].
  Contains methods for accessing the resource to be displayed on the page,
  as well as helpers for describing how each attribute of the resource
  should be displayed.

[1]: http://www.rubydoc.info/gems/administrate/Administrate/Page/Show
%>

<% content_for(:title) { page.page_title } %>

<% content_for(:header_actions) do %>
  <%= link_to(
    translate_with_resource(:edit_short, resource_name, scope: 'administrate.actions'),
    [:edit, namespace, page.resource],
    class: "button",
  ) %>
  <%= link_to(
    translate_with_resource(:preview, resource_name, scope: 'administrate.actions'),
    preview_url(page.resource),
    class: "button",
  ) %>
<% end %>

<div class="container container--sidebar">
  <dl class="container__main">
    <% page.attributes.each do |attribute| %>
      <dt class="attribute-label">
      <%= t(
        "helpers.label.#{resource_name}.#{attribute.name}",
        default: attribute.name.titleize,
      ) %>
      </dt>

      <dd class="attribute-data attribute-data--<%=attribute.html_class%>"
          ><%= render_field attribute %></dd>
    <% end %>
  </dl>

  <%= render 'admin/application/show_sidebar', page: page %>
</div>
